/// <reference types="react" />
import { IClassNameProps } from '../../../@types';
import { INavSteps } from './navStepperTypes';
export interface INavStepperProps extends IClassNameProps {
    /**
     * Defines ariaLabel for nav tag
     */
    ariaLabel?: string;
    /**
     * Defines container classes
     */
    containerClass?: string;
    /**
     * Defines disabled state
     */
    disabled?: boolean;
    /**
     * Enables all steps including future steps
     */
    enableAllSteps?: boolean;
    /**
     * Defines the layout of the nav list
     */
    navClass?: string;
    /**
     * Defines steps array
     */
    steps: INavSteps[];
}
export declare function NavStepper({ ariaLabel, className, containerClass, disabled, enableAllSteps, navClass, steps, }: INavStepperProps): JSX.Element;
//# sourceMappingURL=NavStepper.d.ts.map