import React from 'react';
import { useTooltip } from './useTooltip';
declare type ContextType = ReturnType<typeof useTooltip> | null;
export declare const TooltipContext: React.Context<ContextType>;
export declare const useTooltipContext: () => {
    placement: import("@floating-ui/core").Placement;
    strategy: import("@floating-ui/core").Strategy;
    middlewareData: import("@floating-ui/core").MiddlewareData;
    x: number | null;
    y: number | null;
    update: () => void;
    reference: (node: import("@floating-ui/react").ReferenceType | null) => void;
    floating: (node: HTMLElement | null) => void;
    positionReference: (node: import("@floating-ui/react").ReferenceType | null) => void;
    context: {
        x: number | null;
        y: number | null;
        placement: import("@floating-ui/core").Placement;
        strategy: import("@floating-ui/core").Strategy;
        middlewareData: import("@floating-ui/core").MiddlewareData;
        update: () => void;
        reference: (node: import("@floating-ui/react").ReferenceType | null) => void;
        floating: (node: HTMLElement | null) => void;
        isPositioned: boolean;
        open: boolean;
        onOpenChange: (open: boolean) => void;
        events: import("@floating-ui/react").FloatingEvents;
        dataRef: React.MutableRefObject<import("@floating-ui/react").ContextData>;
        nodeId: string | undefined;
        floatingId: string;
        refs: import("@floating-ui/react").ExtendedRefs<import("@floating-ui/react").ReferenceType>;
        elements: import("@floating-ui/react").ExtendedElements<import("@floating-ui/react").ReferenceType>;
    };
    refs: import("@floating-ui/react").ExtendedRefs<import("@floating-ui/react").ReferenceType>;
    elements: import("@floating-ui/react").ExtendedElements<import("@floating-ui/react").ReferenceType>;
    isPositioned: boolean;
    getReferenceProps: (userProps?: React.HTMLProps<Element> | undefined) => Record<string, unknown>;
    getFloatingProps: (userProps?: React.HTMLProps<HTMLElement> | undefined) => Record<string, unknown>;
    getItemProps: (userProps?: React.HTMLProps<HTMLElement> | undefined) => Record<string, unknown>;
    arrowRef: React.MutableRefObject<null>;
    open: boolean;
    setOpen: (open: boolean) => void;
};
export {};
//# sourceMappingURL=TooltipContext.d.ts.map