import React from 'react';
import { ICardProps } from '../../elements/card/Card';
import { ICardHeaderProps } from '../../elements/card/CardHeader';
import { IDataQualityMeasureProps } from '../../charts/data-quality-measure/DataQualityMeasure';
interface IItems {
    id: number | string;
    label: string;
    value: number | string | undefined;
}
export interface IDataQualityScoreProps extends IDataQualityMeasureProps, React.ComponentPropsWithoutRef<'div'>, Partial<ICardHeaderProps>, Partial<ICardProps> {
    /**
     * Defines the change description or label for Data quality overtime
     */
    changeDescription?: string;
    /**
     * Defines the list items for Data quality measture categories
     */
    items: IItems[];
}
export declare function DataQualityScore({ className, description, header, helpUrl, items, score, changeDescription, shadow, }: IDataQualityScoreProps): JSX.Element;
export {};
//# sourceMappingURL=DataQualityScore.d.ts.map